-- Weapons Symbology
-------------------------------
-- Air-to-Air
-------------------------------
-- Symbols
local	aim_9_l_1_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_1_icon.name			= "aim_9_l_1_icon"
		aim_9_l_1_icon.init_pos		= {-0.85, -0.30, 0}
		aim_9_l_1_icon.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_icon)

local	aim_9_l_2_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_2_icon.name			= "aim_9_l_2_icon"
		aim_9_l_2_icon.init_pos		= {-0.60, -0.05, 0}
		aim_9_l_2_icon.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_icon)

local	aim_9_r_6_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_6_icon.name			= "aim_9_r_6_icon"
		aim_9_r_6_icon.init_pos		= {0.60, -0.05, 0}
		aim_9_r_6_icon.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_icon)

local	aim_9_r_7_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_7_icon.name			= "aim_9_r_7_icon"
		aim_9_r_7_icon.init_pos		= {0.85, -0.30, 0}
		aim_9_r_7_icon.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_icon)

-- Codes
local	aim_9_l_1_code				= CreateElement "ceStringPoly"
		aim_9_l_1_code.name			= "aim_9_l_1_code"
		aim_9_l_1_code.material		= mpcd_font_base
		aim_9_l_1_code.init_pos		= { -0.85, -0.50, 0}
		aim_9_l_1_code.alignment	= "CenterCenter"
		aim_9_l_1_code.value		= "9M"
		aim_9_l_1_code.stringdefs	= MPCD_data1_font_size
		aim_9_l_1_code.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_code)

local	aim_9_l_2_code				= CreateElement "ceStringPoly"
		aim_9_l_2_code.name			= "aim_9_l_2_code"
		aim_9_l_2_code.material		= mpcd_font_base
		aim_9_l_2_code.init_pos		= { -0.60, -0.25, 0}
		aim_9_l_2_code.alignment	= "CenterCenter"
		aim_9_l_2_code.value		= "9M"
		aim_9_l_2_code.stringdefs	= MPCD_data1_font_size
		aim_9_l_2_code.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_code)

local	aim_9_r_6_code				= CreateElement "ceStringPoly"
		aim_9_r_6_code.name			= "aim_9_r_6_code"
		aim_9_r_6_code.material		= mpcd_font_base
		aim_9_r_6_code.init_pos		= { 0.60, -0.25, 0}
		aim_9_r_6_code.alignment	= "CenterCenter"
		aim_9_r_6_code.value		= "9M"
		aim_9_r_6_code.stringdefs	= MPCD_data1_font_size
		aim_9_r_6_code.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_code)

local	aim_9_r_7_code				= CreateElement "ceStringPoly"
		aim_9_r_7_code.name			= "aim_9_r_7_code"
		aim_9_r_7_code.material		= mpcd_font_base
		aim_9_r_7_code.init_pos		= { 0.85, -0.50, 0}
		aim_9_r_7_code.alignment	= "CenterCenter"
		aim_9_r_7_code.value		= "9M"
		aim_9_r_7_code.stringdefs	= MPCD_data1_font_size
		aim_9_r_7_code.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_code)

-------------------------------
-- Air-to-Ground
-------------------------------
-- Weapons Codes: Single
local	sta1_wp_code				= CreateElement "ceStringPoly"
		sta1_wp_code.name			= "sta1_wp_code"
		sta1_wp_code.material		= mpcd_font_base
		sta1_wp_code.init_pos		= { -0.85, -0.20, 0}
		sta1_wp_code.alignment		= "CenterCenter"
		sta1_wp_code.formats		= {"%s"}
		sta1_wp_code.stringdefs		= MPCD_data1_font_size
		sta1_wp_code.controllers	= {{"strs_sta1_code"}}
Add_MPCD_Element(sta1_wp_code)

local	sta2_wp_s_code				= CreateElement "ceStringPoly"
		sta2_wp_s_code.name			= "sta2_wp_s_code"
		sta2_wp_s_code.material		= mpcd_font_base
		sta2_wp_s_code.init_pos		= { -0.60, 0.05, 0}
		sta2_wp_s_code.alignment	= "CenterCenter"
		sta2_wp_s_code.formats		= {"%s"}
		sta2_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta2_wp_s_code.controllers	= {{"strs_sta2_code_s"}}
Add_MPCD_Element(sta2_wp_s_code)

local	sta3_wp_s_code				= CreateElement "ceStringPoly"
		sta3_wp_s_code.name			= "sta3_wp_s_code"
		sta3_wp_s_code.material		= mpcd_font_base
		sta3_wp_s_code.init_pos		= { -0.35, 0.30, 0}
		sta3_wp_s_code.alignment	= "CenterCenter"
		sta3_wp_s_code.formats		= {"%s"}
		sta3_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta3_wp_s_code.controllers	= {{"strs_sta3_code_s"}}
Add_MPCD_Element(sta3_wp_s_code)

local	sta5_wp_s_code				= CreateElement "ceStringPoly"
		sta5_wp_s_code.name			= "sta5_wp_s_code"
		sta5_wp_s_code.material		= mpcd_font_base
		sta5_wp_s_code.init_pos		= { 0.35, 0.30, 0}
		sta5_wp_s_code.alignment	= "CenterCenter"
		sta5_wp_s_code.formats		= {"%s"}
		sta5_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta5_wp_s_code.controllers	= {{"strs_sta5_code_s"}}
Add_MPCD_Element(sta5_wp_s_code)

local	sta6_wp_s_code				= CreateElement "ceStringPoly"
		sta6_wp_s_code.name			= "sta6_wp_s_code"
		sta6_wp_s_code.material		= mpcd_font_base
		sta6_wp_s_code.init_pos		= { 0.60, 0.05, 0}
		sta6_wp_s_code.alignment	= "CenterCenter"
		sta6_wp_s_code.formats		= {"%s"}
		sta6_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta6_wp_s_code.controllers	= {{"strs_sta6_code_s"}}
Add_MPCD_Element(sta6_wp_s_code)

local	sta7_wp_code				= CreateElement "ceStringPoly"
		sta7_wp_code.name			= "sta7_wp_code"
		sta7_wp_code.material		= mpcd_font_base
		sta7_wp_code.init_pos		= { 0.85, -0.20, 0}
		sta7_wp_code.alignment		= "CenterCenter"
		sta7_wp_code.formats		= {"%s"}
		sta7_wp_code.stringdefs		= MPCD_data1_font_size
		sta7_wp_code.controllers	= {{"strs_sta7_code"}}
Add_MPCD_Element(sta7_wp_code)

-- Weapons Codes: Multiple
local	sta2_wp_m_code				= CreateElement "ceStringPoly"
		sta2_wp_m_code.name			= "sta2_wp_m_code"
		sta2_wp_m_code.material		= mpcd_font_base
		sta2_wp_m_code.init_pos		= { -0.60, 0.05, 0}
		sta2_wp_m_code.alignment	= "CenterCenter"
		sta2_wp_m_code.formats		= {"%d %s"}
		sta2_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta2_wp_m_code.controllers	= {{"strs_sta2_code_m"}}
Add_MPCD_Element(sta2_wp_m_code)

local	sta3_wp_m_code				= CreateElement "ceStringPoly"
		sta3_wp_m_code.name			= "sta3_wp_m_code"
		sta3_wp_m_code.material		= mpcd_font_base
		sta3_wp_m_code.init_pos		= { -0.35, 0.30, 0}
		sta3_wp_m_code.alignment	= "CenterCenter"
		sta3_wp_m_code.formats		= {"%d %s"}
		sta3_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta3_wp_m_code.controllers	= {{"strs_sta3_code_m"}}
Add_MPCD_Element(sta3_wp_m_code)

local	sta5_wp_m_code				= CreateElement "ceStringPoly"
		sta5_wp_m_code.name			= "sta5_wp_m_code"
		sta5_wp_m_code.material		= mpcd_font_base
		sta5_wp_m_code.init_pos		= { 0.35, 0.30, 0}
		sta5_wp_m_code.alignment	= "CenterCenter"
		sta5_wp_m_code.formats		= {"%d %s"}
		sta5_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta5_wp_m_code.controllers	= {{"strs_sta5_code_m"}}
Add_MPCD_Element(sta5_wp_m_code)

local	sta6_wp_m_code				= CreateElement "ceStringPoly"
		sta6_wp_m_code.name			= "sta6_wp_m_code"
		sta6_wp_m_code.material		= mpcd_font_base
		sta6_wp_m_code.init_pos		= { 0.60, 0.05, 0}
		sta6_wp_m_code.alignment	= "CenterCenter"
		sta6_wp_m_code.formats		= {"%d %s"}
		sta6_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta6_wp_m_code.controllers	= {{"strs_sta6_code_m"}}
Add_MPCD_Element(sta6_wp_m_code)

-------------------------------
-- Centerline Loads
-------------------------------
-- Centerline Pods
local	gun_ammo_count				= CreateElement "ceStringPoly"
		gun_ammo_count.name			= "gun_ammo_count"
		gun_ammo_count.material		= mpcd_font_base
		gun_ammo_count.init_pos		= { 0, 0.55, 0}
		gun_ammo_count.alignment	= "CenterCenter"
		gun_ammo_count.formats		= {"%d"}
		gun_ammo_count.stringdefs	= MPCD_large_font_size
		gun_ammo_count.controllers	= {{"strs_gun_ammo"}}
Add_MPCD_Element(gun_ammo_count)

local	Pod_Code				= CreateElement "ceStringPoly"
		Pod_Code.name			= "Pod_Code"
		Pod_Code.material		= mpcd_font_base
		Pod_Code.init_pos		= { 0, 0.45, 0}
		Pod_Code.alignment		= "CenterCenter"
		Pod_Code.formats		= {"%s"}
		Pod_Code.stringdefs		= MPCD_data1_font_size
		Pod_Code.controllers	= {{"strs_sta4_code"}}
Add_MPCD_Element(Pod_Code)

-------------------------------
-- Weapons Selection
-------------------------------
-- Selected stations boxes
local	sta1_boxed		= create_mpcd_textured_box( 76, 509, 192, 575, nil, nil, 11)
		sta1_boxed.name			= "sta1_boxed"
		sta1_boxed.init_pos		= {-0.85, -0.20, 0}
		sta1_boxed.controllers	= {{"strs_sta1_sel"}}
Add_MPCD_Element(sta1_boxed)

local	sta2_boxed				= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta2_boxed.name			= "sta2_boxed"
		sta2_boxed.init_pos		= {-0.60, 0.05, 0}
		sta2_boxed.controllers	= {{"strs_sta2_sel"}}
Add_MPCD_Element(sta2_boxed)

local	sta3_boxed				= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta3_boxed.name			= "sta3_boxed"
		sta3_boxed.init_pos		= {-0.35, 0.30, 0}
		sta3_boxed.controllers	= {{"strs_sta3_sel"}}
Add_MPCD_Element(sta3_boxed)

local	sta5_boxed				= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta5_boxed.name			= "sta5_boxed"
		sta5_boxed.init_pos		= {0.35, 0.30, 0}
		sta5_boxed.controllers	= {{"strs_sta5_sel"}}
Add_MPCD_Element(sta5_boxed)

local	sta6_boxed				= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta6_boxed.name			= "sta6_boxed"
		sta6_boxed.init_pos		= {0.60, 0.05, 0}
		sta6_boxed.controllers	= {{"strs_sta6_sel"}}
Add_MPCD_Element(sta6_boxed)

local	sta7_boxed				= create_mpcd_textured_box( 76, 509, 192, 575, nil, nil, 11)
		sta7_boxed.name			= "sta7_boxed"
		sta7_boxed.init_pos		= {0.85, -0.20, 0}
		sta7_boxed.controllers	= {{"strs_sta7_sel"}}
Add_MPCD_Element(sta7_boxed)

-- Launch/Release Priority
local	sta1_priority			= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta1_priority.name			= "sta1_priority"
		sta1_priority.init_pos		= {-0.90, -0.10, 0}
		sta1_priority.controllers	= {{"strs_sta1_priority"}}
Add_MPCD_Element(sta1_priority)

local	sta2_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta2_priority.name			= "sta2_priority"
		sta2_priority.init_pos		= {-0.70, 0.15, 0}
		sta2_priority.controllers	= {{"strs_sta2_priority"}}
Add_MPCD_Element(sta2_priority)

local	sta3_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta3_priority.name			= "sta3_priority"
		sta3_priority.init_pos		= {-0.45, 0.40, 0}
		sta3_priority.controllers	= {{"strs_sta3_priority"}}
Add_MPCD_Element(sta3_priority)

local	sta5_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta5_priority.name			= "sta5_priority"
		sta5_priority.init_pos		= {0.45, 0.40, 0}
		sta5_priority.controllers	= {{"strs_sta5_priority"}}
Add_MPCD_Element(sta5_priority)

local	sta6_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta6_priority.name			= "sta6_priority"
		sta6_priority.init_pos		= {0.70, 0.15, 0}
		sta6_priority.controllers	= {{"strs_sta6_priority"}}
Add_MPCD_Element(sta6_priority)

local	sta7_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta7_priority.name			= "sta7_priority"
		sta7_priority.init_pos		= {0.90, -0.10, 0}
		sta7_priority.controllers	= {{"strs_sta7_priority"}}
Add_MPCD_Element(sta7_priority)

